Skip to content
GitHub

Hold an app's delivery: new runs are accepted and wait.

POST
/api/v1/projects/{project}/environments/{environment}/apps/{app}/pause
curl --request POST \
--url https://example.com/api/v1/projects/example/environments/example/apps/example/pause \
--header 'Content-Type: application/json' \
--data '{ "reason": "example" }'
project
required
string

Project name

environment
required
string

Environment short name

app
required
string

App name

Media typeapplication/json
object
reason
required
string
Examplegenerated
{
"reason": "example"
}

Paused

Paused already

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}